## pymatgen 2024.6.10+dfsg1

=== requirements.txt ===
numpy==1.26.4
sympy==1.12
requests==2.32.0
monty==2024.5.24
ruamel.yaml==0.18.6
scipy==1.11.3
tabulate==0.9.0
matplotlib==3.8.0
palettable==3.3.3
spglib==2.1.0
pandas==2.1.1
networkx==3.3
plotly==5.17.0
uncertainties==3.1.7
Cython==3.0.2
pybtex==0.24.0
tqdm==4.66.4
joblib==1.3.2

=== debian/changelog ===
pymatgen (2024.6.10+dfsg1-8) unstable; urgency=medium

  * python3-mp-api is out-of-date (needs maggma, which is not yet
    packaged), so drop to Suggests: rather than Recommends.
    Drop python3-mp-api from Build-Depends and debian/tests Depends.
    See Bug#1078531.

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Aug 2024 01:55:38 +0200

pymatgen (2024.6.10+dfsg1-7) unstable; urgency=medium

  * riscv64: skip test_rotate_sites

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Aug 2024 07:47:06 +0200

pymatgen (2024.6.10+dfsg1-6) unstable; urgency=medium

  * riscv64: skip test_relax_ase_return_traj

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Aug 2024 03:03:51 +0200

pymatgen (2024.6.10+dfsg1-5) unstable; urgency=medium

  * riscv64: skip test_relax_ase_opt_kwargs
  * run build tests verbose (-v) on mips64el
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 09 Aug 2024 01:07:29 +0200

pymatgen (2024.6.10+dfsg1-4) unstable; urgency=medium

  * debian/patches/tests_pass_or_skip.patch: fix spelling of
    pytest.mark.skipif

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Aug 2024 15:08:10 +0200

pymatgen (2024.6.10+dfsg1-3) unstable; urgency=medium

  * update debian patch tests_pass_or_skip.patch
    - analysis/test_quasi_harmonic_debye_approx.py:
      relax tolerance in test_gruneisen_parameter
    - analysis/test_reaction_calculator.py:
      test_hash requires 64-bits, skip on 32-bit systems
  * apply EXTRA_TEST_FLAGS to build tests:
    add extra -v to riscv64 to identify stalling test

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Aug 2024 09:51:20 +0200

pymatgen (2024.6.10+dfsg1-2) unstable; urgency=medium

  * Build-Depends: python3-emmet-core, python3-mp-api <!nocheck>

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Aug 2024 19:55:39 +0200

pymatgen (2024.6.10+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - supports Python 3.12. Closes: #1069219.
    - Build-Depends: cython3
    - applies debian patch
      CVE-2024-23346_JonesFaithfulTransformation_sympy-c231cbd.patch
    - update versioned Build-Depends
      python3-matplotlib (>= 3.8~),
      python3-monty (>= 2024.5.24~),
      python3-pandas (>= 2~),
      python3-pybtex (>= 0.24.0~),
      python3-requests (>= 2.32~),
      python3-scipy (>= 1.13.0~),
      python3-tabulate (>= 0.9~),
      python3-tqdm (>= 4.60~),
      python3-joblib (>= 1~),
      python3-ase (>= 3.23.0~),
      python3-h5py (>= 3.11.0~),
      python3-netcdf4 (>= 1.6.5~),
      python3-phonopy (>= 2.23~),
      python3-openbabel (>= 3.1.1~)
  * Build-Depends: pymatgen-test-files (>= 2024.6.10~)
  * debian/copyright: drop cmd_line from Files-Excluded
  * update debian patches
    - skip_nonfree_testfile.patch: use pytest skip mark not unittest
    - remove deprecated unittest skips from tests_pass_or_skip.patch
    - new test_files_writing.patch runs io qchem write tests
      in a tmpdir if the testdir is not writable. Use a class level
      fixture with tmp_path_factory, since pytest fixtures cannot be
      used as test arguments in unittest.TestCase subclasses.
  * debian/rules: execute dh_numpy3 after dh_python3

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Aug 2024 15:04:14 +0200

=== debian/control ===
Source: pymatgen
Section: python
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 13),
 pymatgen-test-files (>= 2024.6.10~) <!nocheck>,
 dh-python,
 dh-sequence-python3,
 cython3,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3-all-dev,
 python3-pytest,
 python3-frozendict,
 python3-matplotlib (>= 3.8~),
 python3-monty (>= 2024.5.24~),
 python3-networkx (>= 2.2~),
 python3-numpy (>= 1.25.0~),
 python3-palettable (>= 3.1.1~),
 python3-pandas (>= 2~),
 python3-plotly (>= 4.5.0~),
 python3-pybtex (>= 0.24.0~),
 python3-requests (>= 2.32~),
 python3-ruamel.yaml (>= 0.17.0~),
 python3-scipy (>= 1.13.0~),
 python3-spglib (>= 2.0.2~),
 python3-sympy (>= 1.6.2~),
 python3-tabulate (>= 0.9~),
 python3-tqdm (>= 4.60~),
 python3-uncertainties (>= 3.1.4~),
 python3-joblib (>= 1~),
 python3-ase (>= 3.23.0~),
 python3-bs4 (>= 4.9.1~),
 python3-vtk9,
 python3-h5py (>= 3.11.0~),
 python3-netcdf4 (>= 1.6.5~),
 python3-phonopy (>= 2.23~),
 python3-openbabel (>= 3.1.1~),
 packmol [!armel !riscv64] <!nocheck>,
 python3-emmet-core <!nocheck>
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 sphinx | python3-sphinx | sphinx-common | dh-sequence-sphinxdoc <!nodoc>,
 libjs-jquery <!nodoc>,
 libjs-mathjax <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.7.0
Homepage: https://pymatgen.org/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debichem-team/pymatgen
Vcs-Git: https://salsa.debian.org/debichem-team/pymatgen.git

Package: python3-pymatgen
Architecture: any
Depends: python3-spglib (>= 2.0.2~),
 ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: python3-openbabel, python3-ase (>= 3.22.1~)
Suggests: python-pymatgen-doc, python3-mp-api (>= 0.27.3~)
Description: Python Materials Genomics for materials analysis
 Pymatgen (Python Materials Genomics) is a robust, open-source Python
 library for materials analysis. These are some of the main features:
 .
 1.Highly flexible classes for the representation of Element, Site,
 Molecule, Structure objects.
 .
 2. Extensive input/output support, including support for VASP
 (http://cms.mpi.univie.ac.at/vasp/), ABINIT (http://www.abinit.org/),
 CIF, Gaussian, XYZ, and many other file formats.
 .
 3. Powerful analysis tools, including generation of phase diagrams,
 Pourbaix diagrams, diffusion analyses, reactions, etc.
 .
 4. Electronic structure analyses, such as density of states and band
 structure.
 .
 5. Integration with the Materials Project REST API, Crystallography
 Open Database.
 .
 This package provides the pymtgen module for Python 3.

Package: python-pymatgen-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery, libjs-mathjax, ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python Materials Genomics for materials analysis (documentation)
 Pymatgen (Python Materials Genomics) is a robust, open-source Python
 library for materials analysis. These are some of the main features:
 .
 1.Highly flexible classes for the representation of Element, Site,
 Molecule, Structure objects.
 .
 2. Extensive input/output support, including support for VASP
 (http://cms.mpi.univie.ac.at/vasp/), ABINIT (http://www.abinit.org/),
 CIF, Gaussian, XYZ, and many other file formats.
 .
 3. Powerful analysis tools, including generation of phase diagrams,
 Pourbaix diagrams, diffusion analyses, reactions, etc.
 .
 4. Electronic structure analyses, such as density of states and band
 structure.
 .
 5. Integration with the Materials Project REST API, Crystallography
 Open Database.
 .
 This is the documentation package for pymatgen.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pymatgen

include /usr/share/dpkg/architecture.mk

empty :=
space := $(empty)$(empty)

# bootstrapping problem with circular dependency between pymatgen and mp-api
# mp_api is only used by ext/matproj.py, so skip its test at build-time
# (in practice the matproj tests are skipped anyway since an MP API key is not available)
SKIP_TEST_LIST += test_matproj

# SeeK-path has not been packaged for debian
# so skip SeeK tests in io/pwmat/test_inputs.py
SKIP_TEST_LIST += TestGenKpt TestHighSymmetryPoint

# io/qchem is partly broken, skip failing tests
# io/qchem input
SKIP_TEST_LIST += test_from_multi_jobs_file test_from_string test_read_molecule test_read_nbo test_read_negative test_read_plots test_read_write_nbo7
# io/qchem output
SKIP_TEST_LIST += test_all test_custom_smd_write
# io/qchem sets (test_sets.py all fail)
SKIP_TEST_LIST += test_sets
# these io tests fail in chroot
SKIP_TEST_LIST += test_CifWriter test_read_write test_init test_get_site_symmetries
# times out
SKIP_TEST_LIST += BSDOSPlotterTest
# requires write permissions
SKIP_TEST_LIST += test_cdft_dc_parsing
# requires internet
SKIP_TEST_LIST += test_get_structure_by_id
# fragmenter openbabel test fails, see https://github.com/materialsproject/pymatgen/issues/3078
SKIP_TEST_LIST += test_babel_PC_with_RO_depth_0_vs_depth_10
# MoleculeMatcherTest.test_fit in test_molecule_matcher.py fails for some reason
SKIP_TEST_LIST += test_fit

ifneq (,$(findstring $(DEB_HOST_ARCH), arm64))
    SKIP_TEST_LIST += test_get_parchg "(TestAnharmonicQuasiharmociDebyeApprox and test_gruneisen_parameter)"
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), i386))
    SKIP_TEST_LIST += test_get_parchg test_numerical_eoswrapper "(TestAnharmonicQuasiharmociDebyeApprox and test_gruneisen_parameter)"
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), mips64el))
    SKIP_TEST_LIST += test_pca test_standard test_from_diff_fit
    EXTRA_TEST_FLAGS += -v
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), ppc64el))
    SKIP_TEST_LIST += test_get_parchg test_numerical_eoswrapper "(TestAnharmonicQuasiharmociDebyeApprox and test_gruneisen_parameter)"
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), riscv64))
    SKIP_TEST_LIST += test_get_parchg "(TestAnharmonicQuasiharmociDebyeApprox and test_gruneisen_parameter)"
    SKIP_TEST_LIST += test_relax_ase_opt_kwargs test_relax_ase_return_traj test_rotate_sites
    EXTRA_TEST_FLAGS += -v
endif

# many VASP tests (and others) fail on s390x, hppa, powerpc ppc64
BAD_VASP_ARCH_LIST := s390x hppa powerpc ppc64
ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(BAD_VASP_ARCH_LIST)$(space)))
    SKIP_TEST_LIST += test_spillage_from_vasprun test_process_parsed_hess test_from_file
    SKIP_TEST_LIST += test_optics test_generate_g_points test_generate_nbmax test_evaluate_wavefunc test_fft_mesh_advanced test_fft_mesh_basic
    SKIP_TEST_LIST += test_get_parchg test_n2_45210 test_n2_spin test_standard test_write_unks test_consistency
    SKIP_TEST_LIST += "(TestAnharmonicQuasiharmociDebyeApprox and test_gruneisen_parameter)"
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), hppa))
    SKIP_TEST_LIST += test_cohp
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), hurd-i386))
    SKIP_TEST_LIST += plot test_structure_environments test_pca test_get_info_cohps_to_neighbors test_get_parchg test_as_dict_from_dict test_ir_spectra
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), powerpc))
    SKIP_TEST_LIST += test_pmg_structure
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), loong64))
    SKIP_TEST_LIST += test_get_parchg
endif


%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -f pymatgen/optimization/linear_assignment.c pymatgen/optimization/neighbors.c pymatgen/util/coord_cython.c
	rm -rf pd.json .hypothesis tmp_dir

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=$(shell pybuild --pyver `py3versions --default -v` --print build_dir | awk '{print $$3}' ) \
	  sphinx-build docs/apidoc build/html
endif

override_dh_auto_test:
	py=`py3versions --default -v`; \
	pybuilddir=`pybuild --pyver $$py --print build_dir | awk '{print $$3}'`; \
	testdir=$(CURDIR)/.pybuild/test_python$$py; \
	cp -a $$pybuilddir $$testdir; \
	cp -a tests $$testdir; \
	SKIP_TESTS=""; \
	list_initialised=0; \
	for t in $(SKIP_TEST_LIST); do \
	    if [ $${list_initialised} = 0 ]; then \
	        SKIP_TESTS=$$t; \
	        list_initialised=1; \
	    else \
	        SKIP_TESTS="$${SKIP_TESTS} or $$t"; \
	    fi; \
	done; \
	if [ "x$${SKIP_TESTS}" != "x" ]; then \
	    SKIP_TESTS="not ( $${SKIP_TESTS} )"; \
	fi; \
	echo "skipping tests: $${SKIP_TESTS}"; \
	PMG_TEST_FILES_DIR=/usr/share/doc/pymatgen-test-files/examples/files \
	  PYTHONPATH=$$testdir PATH=$$pybuilddir/../scripts:$$PATH \
	  pytest-3 -v $(EXTRA_TEST_FLAGS) --import-mode=prepend --color=no -k "$${SKIP_TESTS}" $$testdir; \

execute_after_dh_python3:
	dh_numpy3

=== debian/tests/control ===
Tests: test-pymatgen
Depends: @, @builddeps@,
 python3-emmet-core,
 packmol [!armel !riscv64]

Tests: test-pymatgen-net
Depends: @, @builddeps@,
 python3-emmet-core
Restrictions: needs-internet

## pymatgen 2024.10.29+dfsg1

=== requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile pyproject.toml -o requirements.txt
certifi==2024.8.30
# via requests
charset-normalizer==3.3.2
# via requests
contourpy==1.2.1
# via matplotlib
cycler==0.12.1
# via matplotlib
fonttools==4.53.0
# via matplotlib
idna==3.7
# via requests
joblib==1.4.2
# via pymatgen (pyproject.toml)
kiwisolver==1.4.5
# via matplotlib
latexcodec==3.0.0
# via pybtex
matplotlib==3.9.2
# via pymatgen (pyproject.toml)
monty==2024.10.21
# via pymatgen (pyproject.toml)
mpmath==1.3.0
# via sympy
networkx==3.3
# via pymatgen (pyproject.toml)
numpy==2.0.0
# via
#   pymatgen (pyproject.toml)
#   contourpy
#   matplotlib
#   pandas
#   scipy
#   spglib
packaging==24.1
# via
#   matplotlib
#   plotly
palettable==3.3.3
# via pymatgen (pyproject.toml)
pandas==2.2.2
# via pymatgen (pyproject.toml)
pillow==11.0.0
# via matplotlib
plotly==5.22.0
# via pymatgen (pyproject.toml)
pybtex==0.24.0
# via pymatgen (pyproject.toml)
pyparsing==3.1.2
# via matplotlib
python-dateutil==2.9.0.post0
# via
#   matplotlib
#   pandas
pytz==2024.1
# via pandas
pyyaml==6.0.2
# via pybtex
requests==2.32.3
# via pymatgen (pyproject.toml)
ruamel-yaml==0.18.6
# via pymatgen (pyproject.toml)
ruamel-yaml-clib==0.2.8
# via ruamel-yaml
scipy==1.13.1
# via pymatgen (pyproject.toml)
six==1.16.0
# via
#   pybtex
#   python-dateutil
spglib==2.5.0
# via pymatgen (pyproject.toml)
sympy==1.12.1
# via pymatgen (pyproject.toml)
tabulate==0.9.0
# via pymatgen (pyproject.toml)
tenacity==8.4.1
# via plotly
tqdm==4.66.5
# via pymatgen (pyproject.toml)
tzdata==2024.1
# via pandas
uncertainties==3.2.1
# via pymatgen (pyproject.toml)
urllib3==2.2.3
# via requests

=== debian/changelog ===
pymatgen (2024.10.29+dfsg1-4) unstable; urgency=medium

  * replace debian patch neighbor_set_int64.patch with
    32bit_indexing_PR4194.patch. Applies upstream PR#4194 to fix
    indexing on 32-bit systems.
  * run tests over all supported python versions

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Nov 2024 14:16:07 +0100

pymatgen (2024.10.29+dfsg1-3) unstable; urgency=medium

  * revert and reset debian patch neighbor_set_int64.patch to use intp
    instead of int64 when creating separation indices
  * skip test_relax_ase_return_traj on mips64el
  * skip test_read_fe (abinit/test_netcdf.py) on s390x and ppc64.
    Is it a bigendian netCDF issue? Assume hppa, powerpc also affected.

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Nov 2024 10:12:06 +0100

pymatgen (2024.10.29+dfsg1-2) unstable; urgency=medium

  * add debian patches
    - test_tolerance.patch fixes tolerances to enable tests
      to pass. cf. upstream issue#4158
    - neighbor_set_int64.patch uses separation_indices as dtype intp,
      needed on 32-bit arches since the dtype of neighbour set indices
      is explicitly set to int64 at coordination_geometry_finder.py l.1738
  * add test_relax_ase_opt_kwargs to mips64el skip list
  * handle spaces in complex test skips for riscv64 by placing them
    last. Otherwise would need quotes "${SKIP_TEST_LIST[@]}" in every
    entry when building the list.

 -- Drew Parsons <dparsons@debian.org>  Sat, 09 Nov 2024 19:39:01 +0100

pymatgen (2024.10.29+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - Build-Depends: pymatgen-test-files (>= 2024.10.29~)
    - update versioned Build-Depends: python3-monty (>= 2024.7.29~),
      python3-networkx (>= 3~), python3-palettable (>= 3.3.3~),
      python3-spglib (>= 2.5.0~). Closes: #1081680, #1082571.
  * update package Recommends: python3-ase (>= 3.23.0~)
    to match Build-Depends.
  * refresh debian patches: source moved to src subdir
  * update debian patch test_lammps_regex_path.patch to use raw string
    r"\+" to treat '+' in "+dfsg" as a literal plus. Closes: #1085812.
  * Build-Depends: allow python3-paraview as an alternative to python3-vtk9.
    python3-pymatgen Recommends: python3-vtk9 | python3-paraview
  * Drop explicit Depends: python3-spglib from python3-pymatgen.
    Dependency is automated by dh_python3.

 -- Drew Parsons <dparsons@debian.org>  Fri, 08 Nov 2024 10:46:09 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
- pymatgen-test-files (>= 2024.6.10~) <!nocheck>,
+ pymatgen-test-files (>= 2024.10.29~) <!nocheck>,
  dh-python,
  dh-sequence-python3,
  cython3,
@@ -14,17 +14,17 @@
  python3-pytest,
  python3-frozendict,
  python3-matplotlib (>= 3.8~),
- python3-monty (>= 2024.5.24~),
- python3-networkx (>= 2.2~),
+ python3-monty (>= 2024.7.29~),
+ python3-networkx (>= 3~),
  python3-numpy (>= 1.25.0~),
- python3-palettable (>= 3.1.1~),
+ python3-palettable (>= 3.3.3~),
  python3-pandas (>= 2~),
  python3-plotly (>= 4.5.0~),
  python3-pybtex (>= 0.24.0~),
  python3-requests (>= 2.32~),
  python3-ruamel.yaml (>= 0.17.0~),
  python3-scipy (>= 1.13.0~),
- python3-spglib (>= 2.0.2~),
+ python3-spglib (>= 2.5.0~),
  python3-sympy (>= 1.6.2~),
  python3-tabulate (>= 0.9~),
  python3-tqdm (>= 4.60~),
@@ -32,7 +32,7 @@
  python3-joblib (>= 1~),
  python3-ase (>= 3.23.0~),
  python3-bs4 (>= 4.9.1~),
- python3-vtk9,
+ python3-vtk9 | python3-paraview,
  python3-h5py (>= 3.11.0~),
  python3-netcdf4 (>= 1.6.5~),
  python3-phonopy (>= 2.23~),
@@ -53,9 +53,12 @@
 
 Package: python3-pymatgen
 Architecture: any
-Depends: python3-spglib (>= 2.0.2~),
- ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Recommends: python3-openbabel, python3-ase (>= 3.22.1~)
+Depends: ${python3:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends: python3-openbabel,
+  python3-ase (>= 3.23.0~),
+  python3-vtk9 | python3-paraview
 Suggests: python-pymatgen-doc, python3-mp-api (>= 0.27.3~)
 Description: Python Materials Genomics for materials analysis
  Pymatgen (Python Materials Genomics) is a robust, open-source Python

=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 endif
 
 ifneq (,$(findstring $(DEB_HOST_ARCH), mips64el))
-    SKIP_TEST_LIST += test_pca test_standard test_from_diff_fit
+    SKIP_TEST_LIST += test_pca test_standard test_from_diff_fit test_relax_ase_opt_kwargs test_relax_ase_return_traj
     EXTRA_TEST_FLAGS += -v
 endif
 
@@ -68,6 +68,7 @@
     SKIP_TEST_LIST += test_spillage_from_vasprun test_process_parsed_hess test_from_file
     SKIP_TEST_LIST += test_optics test_generate_g_points test_generate_nbmax test_evaluate_wavefunc test_fft_mesh_advanced test_fft_mesh_basic
     SKIP_TEST_LIST += test_get_parchg test_n2_45210 test_n2_spin test_standard test_write_unks test_consistency
+    SKIP_TEST_LIST += test_read_fe
     SKIP_TEST_LIST += "(TestAnharmonicQuasiharmociDebyeApprox and test_gruneisen_parameter)"
 endif
 
@@ -104,11 +105,6 @@
 endif
 
 override_dh_auto_test:
-	py=`py3versions --default -v`; \
-	pybuilddir=`pybuild --pyver $$py --print build_dir | awk '{print $$3}'`; \
-	testdir=$(CURDIR)/.pybuild/test_python$$py; \
-	cp -a $$pybuilddir $$testdir; \
-	cp -a tests $$testdir; \
 	SKIP_TESTS=""; \
 	list_initialised=0; \
 	for t in $(SKIP_TEST_LIST); do \
@@ -123,9 +119,15 @@
 	    SKIP_TESTS="not ( $${SKIP_TESTS} )"; \
 	fi; \
 	echo "skipping tests: $${SKIP_TESTS}"; \
-	PMG_TEST_FILES_DIR=/usr/share/doc/pymatgen-test-files/examples/files \
-	  PYTHONPATH=$$testdir PATH=$$pybuilddir/../scripts:$$PATH \
-	  pytest-3 -v $(EXTRA_TEST_FLAGS) --import-mode=prepend --color=no -k "$${SKIP_TESTS}" $$testdir; \
+	for py in `py3versions -sv`; do \
+	  pybuilddir=`pybuild --pyver $$py --print build_dir | awk '{print $$3}'`; \
+	  testdir=$(CURDIR)/.pybuild/test_python$$py; \
+	  cp -a $$pybuilddir $$testdir; \
+	  cp -a tests $$testdir; \
+	  PMG_TEST_FILES_DIR=/usr/share/doc/pymatgen-test-files/examples/files \
+	    PYTHONPATH=$$testdir PATH=$$pybuilddir/../scripts:$$PATH \
+	    python$$py -m pytest -v $(EXTRA_TEST_FLAGS) --import-mode=prepend --color=no -k "$${SKIP_TESTS}" $$testdir; \
+	done
 
 execute_after_dh_python3:
 	dh_numpy3

## pymatgen 2025.2.18%2Bdfsg1

=== debian/tests/control ===
Tests: test-pymatgen
Depends: @, @builddeps@,
 packmol [!armel !riscv64],
 python3-all

Tests: test-pymatgen-net
Depends: @, @builddeps@, python3-all
Restrictions: needs-internet

## pymatgen 2025.2.18+dfsg1

=== requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile pyproject.toml -o requirements.txt
certifi==2024.8.30
# via requests
charset-normalizer==3.4.0
# via requests
contourpy==1.3.1
# via matplotlib
cycler==0.12.1
# via matplotlib
fonttools==4.55.0
# via matplotlib
idna==3.10
# via requests
joblib==1.4.2
# via pymatgen (pyproject.toml)
kiwisolver==1.4.7
# via matplotlib
latexcodec==3.0.0
# via pybtex
matplotlib==3.9.2
# via pymatgen (pyproject.toml)
monty==2025.1.9
# via pymatgen (pyproject.toml)
mpmath==1.3.0
# via sympy
networkx==3.4.2
# via pymatgen (pyproject.toml)
numpy==2.0.0
# via
#   pymatgen (pyproject.toml)
#   contourpy
#   matplotlib
#   pandas
#   scipy
#   spglib
packaging==24.2
# via
#   matplotlib
#   plotly
palettable==3.3.3
# via pymatgen (pyproject.toml)
pandas==2.2.3
# via pymatgen (pyproject.toml)
pillow==11.0.0
# via matplotlib
plotly==5.24.1
# via pymatgen (pyproject.toml)
pybtex==0.24.0
# via pymatgen (pyproject.toml)
pyparsing==3.2.0
# via matplotlib
python-dateutil==2.9.0.post0
# via
#   matplotlib
#   pandas
pytz==2024.2
# via pandas
pyyaml==6.0.2
# via pybtex
requests==2.32.3
# via pymatgen (pyproject.toml)
ruamel-yaml==0.18.10
# via pymatgen (pyproject.toml)
ruamel-yaml-clib==0.2.12
# via ruamel-yaml
scipy==1.14.1
# via pymatgen (pyproject.toml)
six==1.16.0
# via
#   pybtex
#   python-dateutil
spglib==2.5.0
# via pymatgen (pyproject.toml)
sympy==1.13.1
# via pymatgen (pyproject.toml)
tabulate==0.9.0
# via pymatgen (pyproject.toml)
tenacity==9.0.0
# via plotly
tqdm==4.67.1
# via pymatgen (pyproject.toml)
tzdata==2024.2
# via pandas
uncertainties==3.2.2
# via pymatgen (pyproject.toml)
urllib3==2.2.3
# via requests

=== debian/changelog ===
pymatgen (2025.2.18+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Fix build with new uncertainties. Closes: #1106436.
  * Do not try to access Internet during build. Closes: #1107280.
  * Skip performance tests, as they fail in Salsa CI.
  * Change BD from python3-numpy to python3-numpy-dev (lintian error).

 -- Santiago Vila <sanvila@debian.org>  Sun, 08 Jun 2025 10:45:00 +0200

pymatgen (2025.2.18+dfsg1-4) unstable; urgency=medium

  * debian/tests: use quotes with SKIP_TEST_LIST to enable multiword
    entries (needed for riscv64)

 -- Drew Parsons <dparsons@debian.org>  Thu, 27 Feb 2025 11:52:14 +0100

pymatgen (2025.2.18+dfsg1-3) unstable; urgency=medium

  * fix setting EXTRA_TEST_FLAGS for debian/tests

 -- Drew Parsons <dparsons@debian.org>  Tue, 25 Feb 2025 22:38:14 +0100

pymatgen (2025.2.18+dfsg1-2) unstable; urgency=medium

  * skip slowest tests on riscv64 to help avoid timeout:
    test_xrd test_volume_predictor test_structure test_tensors
    test_boltztrap test_optics test_outputs test_dos.
    Add verbose flag.
  * sparc64: skip failing tests
  * debian/tests: report 30 slowest tests

 -- Drew Parsons <dparsons@debian.org>  Tue, 25 Feb 2025 11:42:24 +0100

pymatgen (2025.2.18+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patches 32bit_indexing_PR4194.patch,
      fix_abinit_header_PR4223.patch, test_deprecated_scipy.patch
    - update versioned Build-Depends: python3-monty (>= 2025.1.9~),
      python3-plotly (>= 5.0.0~), python3-phonopy (>= 2.33.3~),
      pymatgen-test-files (>= 2025.2.18~)
  * update tests_pass_or_skip.patch to drop moyopy symmetry test in
    test_structure.py (moyopy is not yet packaged for debian)

 -- Drew Parsons <dparsons@debian.org>  Fri, 21 Feb 2025 01:34:10 +0100

pymatgen (2024.10.29+dfsg1-5) unstable; urgency=medium

  * drop Build-Depends: python3-emmet-core
    (circular dependency removed upstream)
  * update debian patches
    - test_deprecated_scipy.patch works around use of
      deprecated scipy functions
    - fix_abinit_header_PR4223.patch applies upstream PR#4223
      to fix handling of headers in abinit io
    - test_tolerance.patch relax tolerance in test_eos
    - tests_pass_or_skip.patch: skip test_param_dict in io/exciting
      due to inconsistent test data
  * debian/tests Depends: python3-all to support `py3versions -s`

 -- Drew Parsons <dparsons@debian.org>  Thu, 13 Feb 2025 17:13:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
- pymatgen-test-files (>= 2024.10.29~) <!nocheck>,
+ pymatgen-test-files (>= 2025.2.18~) <!nocheck>,
  dh-python,
  dh-sequence-python3,
  cython3,
@@ -14,12 +14,12 @@
  python3-pytest,
  python3-frozendict,
  python3-matplotlib (>= 3.8~),
- python3-monty (>= 2024.7.29~),
+ python3-monty (>= 2025.1.9~),
  python3-networkx (>= 3~),
- python3-numpy (>= 1.25.0~),
+ python3-numpy-dev (>= 1.25.0~),
  python3-palettable (>= 3.3.3~),
  python3-pandas (>= 2~),
- python3-plotly (>= 4.5.0~),
+ python3-plotly (>= 5.0.0~),
  python3-pybtex (>= 0.24.0~),
  python3-requests (>= 2.32~),
  python3-ruamel.yaml (>= 0.17.0~),
@@ -35,10 +35,9 @@
  python3-vtk9 | python3-paraview,
  python3-h5py (>= 3.11.0~),
  python3-netcdf4 (>= 1.6.5~),
- python3-phonopy (>= 2.23~),
+ python3-phonopy (>= 2.33.3~),
  python3-openbabel (>= 3.1.1~),
- packmol [!armel !riscv64] <!nocheck>,
- python3-emmet-core <!nocheck>
+ packmol [!armel !riscv64] <!nocheck>
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
  sphinx | python3-sphinx | sphinx-common | dh-sequence-sphinxdoc <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -88,6 +88,13 @@
     SKIP_TEST_LIST += test_get_parchg
 endif
 
+ifneq (,$(findstring $(DEB_HOST_ARCH), sparc64))
+    SKIP_TEST_LIST += test_spillage_from_vasprun test_read_fe test_process_parsed_hess \
+	test_chdir_behavior test_no_return_and_box test_from_file test_optics test_evaluate_wavefunc \
+	test_fft_mesh_advanced test_fft_mesh_basic test_generate_g_points test_generate_nbmax \
+	test_get_parchg test_n2_45210 test_n2_spin test_standard test_write_unks test_consistency
+endif
+
 
 %:
 	dh $@ --buildsystem=pybuild

## pymatgen 2025.10.7%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
- pymatgen-test-files (>= 2025.2.18~) <!nocheck>,
+ pymatgen-test-files (>= 2025.10.7~) <!nocheck>,
  dh-python,
  dh-sequence-python3,
  cython3,
@@ -12,15 +12,16 @@
  python3-setuptools,
  python3-all-dev,
  python3-pytest,
+ python3-bibtexparser,
  python3-frozendict,
  python3-matplotlib (>= 3.8~),
  python3-monty (>= 2025.1.9~),
  python3-networkx (>= 3~),
  python3-numpy-dev (>= 1.25.0~),
+ python3-orjson,
  python3-palettable (>= 3.3.3~),
  python3-pandas (>= 2~),
  python3-plotly (>= 5.0.0~),
- python3-pybtex (>= 0.24.0~),
  python3-requests (>= 2.32~),
  python3-ruamel.yaml (>= 0.17.0~),
  python3-scipy (>= 1.13.0~),
@@ -32,7 +33,6 @@
  python3-joblib (>= 1~),
  python3-ase (>= 3.23.0~),
  python3-bs4 (>= 4.9.1~),
- python3-vtk9 | python3-paraview,
  python3-h5py (>= 3.11.0~),
  python3-netcdf4 (>= 1.6.5~),
  python3-phonopy (>= 2.33.3~),
@@ -44,7 +44,7 @@
  libjs-jquery <!nodoc>,
  libjs-mathjax <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://pymatgen.org/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debichem-team/pymatgen

## pymatgen 2025.10.7+dfsg1

=== requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile pyproject.toml -o requirements.txt
bibtexparser==1.4.3
    # via pymatgen (pyproject.toml)
certifi==2024.8.30
    # via requests
charset-normalizer==3.4.0
    # via requests
contourpy==1.3.1
    # via matplotlib
cycler==0.12.1
    # via matplotlib
fonttools==4.55.0
    # via matplotlib
idna==3.10
    # via requests
joblib==1.4.2
    # via pymatgen (pyproject.toml)
kiwisolver==1.4.7
    # via matplotlib
matplotlib==3.9.2
    # via pymatgen (pyproject.toml)
monty==2025.1.9
    # via pymatgen (pyproject.toml)
mpmath==1.3.0
    # via sympy
networkx==3.4.2
    # via pymatgen (pyproject.toml)
numpy==2.0.0
    # via
    #   pymatgen (pyproject.toml)
    #   contourpy
    #   matplotlib
    #   monty
    #   pandas
    #   scipy
    #   spglib
orjson==3.10.18
    # via pymatgen (pyproject.toml)
packaging==24.2
    # via
    #   matplotlib
    #   plotly
palettable==3.3.3
    # via pymatgen (pyproject.toml)
pandas==2.2.3
    # via pymatgen (pyproject.toml)
pillow==11.0.0
    # via matplotlib
plotly==5.24.1
    # via pymatgen (pyproject.toml)
pyparsing==3.2.0
    # via
    #   bibtexparser
    #   matplotlib
python-dateutil==2.9.0.post0
    # via
    #   matplotlib
    #   pandas
pytz==2024.2
    # via pandas
requests==2.32.4
    # via pymatgen (pyproject.toml)
ruamel-yaml==0.18.10
    # via
    #   pymatgen (pyproject.toml)
    #   monty
ruamel-yaml-clib==0.2.12
    # via ruamel-yaml
scipy==1.14.1
    # via pymatgen (pyproject.toml)
six==1.16.0
    # via python-dateutil
spglib==2.5.0
    # via pymatgen (pyproject.toml)
sympy==1.13.1
    # via pymatgen (pyproject.toml)
tabulate==0.9.0
    # via pymatgen (pyproject.toml)
tenacity==9.0.0
    # via plotly
tqdm==4.67.1
    # via pymatgen (pyproject.toml)
tzdata==2024.2
    # via pandas
uncertainties==3.2.2
    # via pymatgen (pyproject.toml)
urllib3==2.5.0
    # via requests

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../docs

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pymatgen.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pymatgen.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pymatgen"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pymatgen"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pymatgen (2025.10.7+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - works with NumPy 2.3. Closes: #1114711
    - applies debian patches CVE-2022-42964_ReDOS_vulnerability.patch
      and fix-build-with-new-uncertainties.patch
    - Build-Depends: python3-bibtexparser instead of python3-pybtex
    - Build-Depends: pymatgen-test-files (>= 2025.10.7~)
    - Build-Depends: python3-orjson
  * drop Build-Depends: python3-vtk9 | python3-paraview
    (crashes with vtk9 9.3.0). Keep Recommends for run-time.
  * debian patch test_no_moyopy.patch skips tests using moyopy
    (in analysis/test_prototypes.py), which is not (yet) packaged
  * drop debian/tests/test-pymatgen-net, since network tests
    (ext/test_cod.py) have been disabled upstream
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Oct 2025 01:29:18 +0200

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 # requires write permissions
 SKIP_TEST_LIST += test_cdft_dc_parsing
 # requires internet
-SKIP_TEST_LIST += test_get_structure_by_id
+SKIP_TEST_LIST += test_cod
 # fragmenter openbabel test fails, see https://github.com/materialsproject/pymatgen/issues/3078
 SKIP_TEST_LIST += test_babel_PC_with_RO_depth_0_vs_depth_10
 # MoleculeMatcherTest.test_fit in test_molecule_matcher.py fails for some reason

=== debian/tests/control ===
Tests: test-pymatgen
Depends: @, @builddeps@,
 packmol [!armel !riscv64],
 python3-all

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1, \
   filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pymatgen-$1.tar.gz%" \
   https://github.com/materialsproject/pymatgen/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
